{% extends '::base.html.twig'%}

{%block body%}
    <div class="container" style="margin-top: 20px">

        <div class="row">
            <div class="col-sm-12">
                <p style="font-size: 1.5em">MES PROJETS</p>
            </div>
        </div>
        <div class="row">
            {%if artiste.projets|length>0%}
                {%for p in artiste.projets|reverse%}
                    <div class="col-sm-12 col-md-4 col-lg-3">
                        <div class="projet-container">
                            <div style="height: 37px; padding: 10px">
                                <div style="float: left"><i class="glyphicon glyphicon-map-marker"></i> {{p.artiste.pays|country(app.request.locale)}}</div>
                                <div style="float: right">- <a style="color: black" href="{{path('main_projet_categorie', {'id': p.categorie.id})}}">{{p.categorie.libelle}}</a></div>
                            </div>
                            <div style="clear: both"></div>

                            <a href="{{path('main_detail_projet', {'code':p.code})}}" style="color: white;" class="project-link">
                                <div style="height: 130px; background-image: url('{{asset(p.photo.webPath)}}'); background-size: cover">
                                    <div class="project-img-link" style="height: 100%; width: 100%; padding: 60px;">
                                        <p style="font-family: RobotoRegular; text-transform: uppercase; text-align: center">{{p.artiste.nomArtiste}}</p>
                                    </div>
                                </div>
                            </a>
                            {%set sommeRecolte = 0%}
                            {%for a in p.aSoutenus%}
                                {%set sommeRecolte = sommeRecolte + a.montant%}
                            {%endfor%}
                            <div class="progress" style="border-radius: 0px; margin-bottom: 5px">
                                <div class="progress-bar progress-bar-warning" role="progressbar" aria-valuenow="{{(100*(sommeRecolte/p.objectifFinancier))|round}}" aria-valuemin="0" aria-valuemax="100" style="width: {{(100*(sommeRecolte/p.objectifFinancier))|round}}%; text-align: right; color: black; font-family: RobotoRegular">
                                    {{(100*(sommeRecolte/p.objectifFinancier))|round}}%
                                </div>
                            </div>
                            <div style="height: 25px; padding: 5px">
                                <p style="margin-bottom: 0px; text-align: center"><span style="font-family: RobotoRegular">{{p.titre}}</span></p>
                            </div>
                            <div style="height: 100px; padding: 5px; margin-bottom: 10px">
                                <p style="font-size: 14px;">
                                    {{p.description|slice(0, 150)}} {%if p.description|length<150%}...{%endif%}
                                    <br/>
                                    <a href="{{path('main_detail_projet', {'code':p.code})}}">Lire la suite</a>
                                </p>
                            </div>
                            <div style="border-top: 1px solid #ccc; height: 50px; padding-top: 5px">
                                <div class="col-sm-4">
                                    <div style="font-weight: bold">{{sommeRecolte|number_format(0, ',', ' ')}} F</div>
                                    <div style="font-size: 12px">{{p.objectifFinancier|number_format(0, ',', ' ')}} F</div>
                                </div>
                                <div class="col-sm-4">
                                    <div style="font-weight: bold">{{p.aSoutenus|length}}</div>
                                    <div style="font-size: 12px">Fans</div>
                                </div>
                                <div class="col-sm-4">
                                    {% set difference = date(p.date|date_modify("+"~parameter.dureeVieProjet~" day")).diff(date('now'|date('Y-m-d H:i:s'))) %}
                                    {% set leftDays = difference.days %}
                                    <div style="font-weight: bold">{{ leftDays }} J</div>
                                    <div style="font-size: 12px">Restant{% if leftDays > 1 %}s{% endif %}</div>
                                </div>
                            </div>
                            <div style="padding: 5px">
                                <div class="btn-group btn-group-justified" role="group" aria-label="..." style="text-align: center; width: auto; margin: auto">
                                    {#                                <a class="btn btn-default"><i class="glyphicon glyphicon-eye-open"></i></a>#}
                                    <a title="Modifier le projet" href="{{path('main_edit_projet', {'code': p.code})}}" class="btn btn-default"><i class="glyphicon glyphicon-pencil"></i></a>
                                        {#                                <a href="{{path('main_delete_projet', {'code': p.code})}}" class="btn btn-default"><i class="glyphicon glyphicon-trash"></i></a>#}
                                </div>
                            </div>
                        </div>
                    </div>
                {%endfor%}
            {%else%}
                <div class="col-sm-12">
                    <p style="text-align: center">
                        Vous n'avez pas de projet en ce moment. <br/>
                        <a href="{{path('main_add_projet')}}" class="btn btn-default kifzik-ok-btn">Créez-en un</a>
                    </p>
                </div>
            {%endif%}
        </div>
        <br/><br/>
    </div>
{%endblock%}
